Community
cancel
Showing results for 
Search instead for 
Did you mean: 
Highlighted
Beginner
14 Views

FIPs Compliance

Hello -

Has anyone worked on getting FIPs compliance with a version of IPP other than 5.0?  I know 5.0 was tested for FIPs compliance, but does anyone know a way to get later versions (specifically v7.0) approved?

Thanks in advance for any insight.

0 Kudos
6 Replies
Highlighted
Valued Contributor II
14 Views

>>Has anyone worked on getting FIPs compliance with a version of IPP other than 5.0? I know 5.0 was tested for FIPs >>compliance, but does anyone know a way to get later versions (specifically v7.0) approved? I remember a discussion ( more than one year ago ) and please take a look at: Forum topic: IPP crypto and FIPS 140 Web-link: http://software.intel.com/en-us/forums/topic/280747
0 Kudos
Highlighted
Beginner
14 Views

Sergey -

Thank you, I saw that post.  Unfortunately, we are using v7.0, and for FIPs the version we are using specifically has to be compliant (that only shows v5.0 compliance).  If you (or anyone) knows some one to contact about this, I would greatly appreciate the assistance.

Thanks!

0 Kudos
Highlighted
14 Views

This topic is currently under discussion.  No guarantees about whether IPP will pursue FIPS certification again, but more info will be posted here as product plans are approved.  BTW, are you interested in working with the IPP crypto primitives themselves or the IPP-optimized OpenSSL sample?  As you've probably seen, IPP's OpenSSL sample was discontinued in IPP 7.1.

 

0 Kudos
Highlighted
Beginner
14 Views

We are interested in the crypto primitives.  Is there anybody specifically that we can speak with?  We are using a test lab for certification, and maybe there can be some cooperation between Intel and them for getting the soecific crypto module in our software certified.

Thanks.

0 Kudos
Highlighted
Beginner
14 Views

I am also looking for FIPS 140-2 certification.  Is there any update from Intel if the they will pursue certification with the IPP crypto library?

0 Kudos
Highlighted
Employee
14 Views

John,
Only an old IPP 5.0 worked on the FIPS certification.  The newer versions of Crypto functions do not work on certification process. 

Regards,
Chao

0 Kudos